=== debian/control ===
Source: ros-noetic-rtabmap-slam
Section: misc
Priority: optional
Maintainer: Mathieu Labbe <matlabbe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-apriltag-ros, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-nodelet, ros-noetic-pluginlib, ros-noetic-rtabmap-msgs, ros-noetic-rtabmap-sync, ros-noetic-rtabmap-util, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rtabmap-slam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-apriltag-ros, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-nodelet, ros-noetic-pluginlib, ros-noetic-rtabmap-msgs, ros-noetic-rtabmap-sync, ros-noetic-rtabmap-util, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Description: RTAB-Map's SLAM package.
